import http from "../utils/http";
let resquest = "/hotel/ihotel-api/ihotel/condition/fingerprint";

// fingerprint查询
export function queryInfo(params) {
  return http.get(`${resquest}/queryInfo/${params}`);
}

// IC卡查询-详情
export function queryICInfoById(params) {
  return http.get(`${resquest}/ic/queryICInfoById`, params);
}

// 指纹新增
export function add(params) {
  return http.post(`${resquest}/add`, params);
}
//  指纹修改  hotel/ihotel-api/ihotel/condition/fingerprint/update
export function update(params) {
  return http.post(`${resquest}/update`, params);
}

// 指纹解绑  hotel/ihotel-api/ihotel/condition/fingerprint/unbundFingerprint
export function unbundIC(params) {
  return http.get(`${resquest}/unbundFingerprint`, params);
}

// 指纹导出详情
// export function downLoadICInfo(params) {
//   return http.get(`${resquest}/downLoadICInfo`, params, "", "blob");
// }
